;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  ~/.emacs.el for MacOS X WorkShop
;;            KOBAYASHI Taizo <tkoba965@mac.com>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  ƥΥåץ졼ɻˤΥեưŪ˹
;;  Υեѹ .emacs.my.el ˵ҤƤ


;;; եλ

(setq user-init-file "~/.emacs.el")

;;; ޥѥɲ
;;; ~/lib/emacs ʲ˥桼Ѥ *.el, *.elc ֤ȤǤޤ
(setq load-path (append '("~/lib/emacs") load-path))

;; japanese settings for Carbon Emacs Package

(require 'un-define) ; Mule-UCS
;;(require 'jisx0213)  ; JIS X 0213 (Mule-UCS)
(set-language-environment 'Japanese)
(set-default-coding-systems 'euc-jp-unix)
(set-keyboard-coding-system 'sjis-mac)
(set-clipboard-coding-system 'sjis-mac)
;(set-terminal-coding-system 'utf-8) ; 'euc-jp-unix)
(set-terminal-coding-system 'euc-jp-unix)
(set-file-name-coding-system 'utf-8)
(require 'mac-utf)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ω Window Ǥ
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if window-system
  (progn
    ;; carbon-font
    ;(load-library "carbon-font-andale")
    (require 'carbon-font)
    (set-default-font "fontset-hiraginomaru14")
    (setq face-font-rescale-alist (append (list
            '(".*-ayuthaya-bold.*" . 0.9)
            '(".*-monaco-bold.*" . O)
            )face-font-rescale-alist))
    (setq default-frame-alist
      (append
       (list
         '(font . "fontset-hiraginomaru14") 
         ) default-frame-alist))
    )
)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; emacs-21 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(cond
 ((>= emacs-major-version 21)
     
 ;;; tool-bar ä
 (tool-bar-mode nil)
 ;;; cursor  blink ߤ
 (blink-cursor-mode nil) 
 ;;; ɽιԴ֤Ȥ
 ;(set-default 'line-spacing 10)
 ;;; active Ǥʤ window ζ cursor Фʤ
 (setq cursor-in-non-selected-windows nil)
 ;;; եȤΥ򤷤ʤ
 (setq scalable-fonts-allowed nil)
 ;;; [Home] Key  [End] Key ư᤹
 (define-key global-map [home] 'beginning-of-buffer)
 (define-key global-map [end] 'end-of-buffer)

 ;;; image.el ˤ JPEG Ƚˤ
 (eval-after-load "image"
     '(setq image-type-regexps
      (cons (cons "^\377\330" 'jpeg) image-type-regexps)))

 ;;; ܸ˥塼С
 (if (equal (substring (concat (getenv "LANG") "__") 0 2) "ja")
	      (load "menu-tree"))
))

;;; ޥɥ᥿(Alt)Ȥ
(setq mac-command-key-is-meta nil)

;;; ԽսϿ
(require 'saveplace)
(setq-default save-place t)
(setq save-place-file "~/Library/Application Support/places.txt")

;;; Խե foo ΥХååץե foo~ 򥳥ԡǺ
(setq backup-by-copying t)

;;; emacsclient Фư
(server-start)

;;; ̤бɽ
(require 'paren)
(show-paren-mode)

;;; font οդ
(require 'font-lock)
(global-font-lock-mode t)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; ܤ inline-patch 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(setq default-input-method "MacOSX-IM-JP")

;; Shift-Space ǵưޤ
(global-set-key [?\S-\ ] 'toggle-input-method)
(global-set-key [(alt \ )] 'toggle-input-method)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; skk 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;; Ѥ뼭 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; SKK-JISYO.L ɤ߹Ѥ
(setq skk-large-jisyo "/usr/local/share/skk/SKK-JISYO.L")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; 󥯥󥿥륵
(add-hook 'isearch-mode-hook 'skk-isearch-mode-setup)
(add-hook 'isearch-mode-end-hook 'skk-isearch-mode-cleanup)

;; SKK  Ctrl-\, Ctrl-o, Shift-Space ǵưޤ
;(global-set-key "\C-\\" 'skk-mode)
(global-set-key "\C-o" 'skk-mode)
;(global-set-key [?\S-\ ] 'skk-mode)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; yatex 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq auto-mode-alist
      (cons (cons "\\.tex$" 'yatex-mode) auto-mode-alist))
(autoload 'yatex-mode "yatex" "Yet Another LaTeX mode" t)

(setq tex-command "platex-euc --src-special"
      dvi2-command "mxdvi"
      dviprint-command-format "dvips %s | lpr"
      YaTeX-kanji-code 3 ; (1 JIS, 2 SJIS, 3 EUC)
      YaTeX-use-AMS-LaTeX t ; AMS-LaTeX
      section-name "documentclass"
      makeindex-command "mendex"
      bibtex-command "jbibtex -kanji=euc"
      YaTeX-latex-message-code 'euc-jp-unix
      YaTeX-use-font-lock t
)

;; Yahtml-mode
(setq auto-mode-alist
      (cons (cons ".html$" 'yahtml-mode) auto-mode-alist))
(setq auto-mode-alist
      (cons (cons ".htm$" 'yahtml-mode) auto-mode-alist))
 
(autoload 'yahtml-mode "yahtml" "Yet Another HTML mode" t)
(setq yahtml-www-browser "open"
      yahtml-lint-program "htmllint"
      yahtml-kanji-code 3)
 
(add-hook 'yahtml-mode-hook
     '(lambda ()
       (auto-fill-mode -1)
       )) 

(add-hook 'skk-mode-hook
	(lambda ()
	 (if (eq major-mode 'yatex-mode)
	     (progn
		(define-key skk-j-mode-map "\\" 'self-insert-command)
		(define-key skk-j-mode-map "$" 'YaTeX-insert-dollar)
	  ))
))

;; TeX source special Τ
;(require 'xdvi-search) ; ɬ
;(custom-set-variables
;   '(server-switch-hook (quote (raise-frame)))) ; 
;(custom-set-faces)
;(add-hook 'yatex-mode-hook
;   '(lambda ()
;       (define-key YaTeX-mode-map "\C-c\C-j" 'xdvi-jump-to-line)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Mew 4.2  -  Messaging in the Emacs World
;;   ᡼꡼ Mew
;;   M-x mew ǵưޤ
;;
;;   ĿѤե ~/.mew.el ѤƤ
;;   ǿ .mew.el  /usr/local/share/doc/mew-common-*/vine.dot.mew
;;   ˤޤ
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(autoload 'mew "mew" nil t)
(autoload 'mew-send "mew" nil t)

(if (file-exists-p (expand-file-name "~/.mew.el"))
      (load (expand-file-name "~/.mew.el") nil t nil))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 桼ѽե
;; ~/.emacs.my.el ˸Ŀ񤱤ޤ
;; ΥեľܤꤿʤϡĿʬΥƤ

(if (file-exists-p (expand-file-name "~/.emacs.my.el"))
      (load (expand-file-name "~/.emacs.my.el") nil t nil))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Υե˴ְ㤤äƤ̵ˤޤ
(put 'eval-expression 'disabled nil)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Local Variables:
;; mode: emacs-lisp
;; buffer-file-coding-system: junet-unix
;; End:

